package pt.nestle.nreceitas.webservice;

import org.kxml2.kdom.*;
import android.util.*;
import java.text.*;
import org.json.*;
import com.google.gson.*;
import com.activeandroid.util.*;
import java.util.*;
import pt.nestle.nreceitas.database.*;
import android.content.*;
import android.os.*;
import com.newrelic.agent.android.tracing.*;
import org.ksoap2.*;
import java.io.*;
import org.xmlpull.v1.*;
import org.ksoap2.serialization.*;
import org.ksoap2.transport.*;
import com.newrelic.agent.android.instrumentation.*;
import com.loopj.android.http.*;

public class WebServiceRequester
{
    public static int CONNECTION_ERROR_DATABASE = 0;
    public static int CONNECTION_ERROR_NETWORK = 0;
    public static int CONNECTION_ERROR_PARSING = 0;
    public static int CONNECTION_TIMEOUT = 0;
    private static String NAMESPACE;
    private static String PASSWORD;
    private static final String URL = "https://saboreiaavida.nestle.pt/cozinhar/n-receitas/Service.asmx";
    private static String USERNAME;
    private static String pedidoID;
    
    static {
        WebServiceRequester.CONNECTION_TIMEOUT = 5000;
        WebServiceRequester.CONNECTION_ERROR_PARSING = 1;
        WebServiceRequester.CONNECTION_ERROR_NETWORK = 2;
        WebServiceRequester.CONNECTION_ERROR_DATABASE = 3;
        WebServiceRequester.NAMESPACE = "http://saboreiaavida.nestle.pt/";
        WebServiceRequester.PASSWORD = "!$NestleWsOgilvy.";
        WebServiceRequester.USERNAME = "WSOgilvyNestle";
    }
    
    static /* synthetic */ void access$0(final String pedidoID) {
        WebServiceRequester.pedidoID = pedidoID;
    }
    
    private static Element buildAuthHeader() {
        final Element element = new Element().createElement(WebServiceRequester.NAMESPACE, "AuthHeader");
        final Element element2 = new Element().createElement(WebServiceRequester.NAMESPACE, "username");
        element2.addChild(4, (Object)WebServiceRequester.USERNAME);
        element.addChild(2, (Object)element2);
        final Element element3 = new Element().createElement(WebServiceRequester.NAMESPACE, "password");
        element3.addChild(4, (Object)WebServiceRequester.PASSWORD);
        element.addChild(2, (Object)element3);
        return element;
    }
    
    private static void buildBody(final SoapObject soapObject, final Pair<String, String>... array) {
        for (int i = 0; i < array.length; ++i) {
            soapObject.addProperty((String)array[i].first, array[i].second);
        }
    }
    
    protected static <T> ArrayList<T> parseAddTwist(final String s) {
        final ArrayList<Twist> list = (ArrayList<Twist>)new ArrayList<T>();
        final Twist twist = new Twist();
        try {
            // new(org.json.JSONObject.class)
            final JSONObject jsonObject = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONObject("comment");
            twist.setTwistId(Integer.parseInt(jsonObject.getString("id")));
            twist.setCreated(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.US).parse(jsonObject.optString("created", "2010-01-01 00:00:00")).getTime());
            twist.setText(jsonObject.optString("text", ""));
            final TwistFrom twistFrom = new TwistFrom();
            final JSONObject optJSONObject = jsonObject.optJSONObject("from");
            if (optJSONObject != null) {
                twistFrom.setFromId(Integer.parseInt(optJSONObject.optString("id", "")));
                twistFrom.setFromUserName(optJSONObject.optString("username", ""));
                twistFrom.setFromFirstName(optJSONObject.optString("first_name", ""));
                twistFrom.setFromLastName(optJSONObject.optString("last_name", ""));
                twistFrom.setFromProfileImage(optJSONObject.optString("profile_image", ""));
                twistFrom.setFromCommentsCount(Integer.parseInt(optJSONObject.optString("comments_count", "0")));
                twist.setTwistFrom(twistFrom.saveOrUpdate());
            }
            twist.save();
            list.add((T)twist);
            return (ArrayList<T>)list;
        }
        catch (NumberFormatException ex) {
            ex.printStackTrace();
            return (ArrayList<T>)list;
        }
        catch (JSONException ex2) {
            ex2.printStackTrace();
            return (ArrayList<T>)list;
        }
        catch (ParseException ex3) {
            ex3.printStackTrace();
            return (ArrayList<T>)list;
        }
    }
    
    protected static <T> ArrayList<T> parseFollower(final String s) {
        final ArrayList<T> list = new ArrayList<T>();
        try {
            // new(org.json.JSONObject.class)
            final JSONArray jsonArray = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONArray("relationships");
            for (int i = 0; i < jsonArray.length(); ++i) {
                final Relationship relationship = new Relationship();
                final JSONObject jsonObject = jsonArray.getJSONObject(i);
                relationship.setRelationshipId(Integer.parseInt(jsonObject.getString("id")));
                relationship.setState(jsonObject.getString("state"));
                relationship.setFollower(parseUser(jsonObject.getJSONObject("follower")));
                relationship.setFollowing(parseUser(jsonObject.getJSONObject("following")));
                list.add((T)relationship.saveOrUpdate().getFollower());
            }
            return list;
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    protected static <T> ArrayList<T> parseFollowing(final String s) {
        final ArrayList<T> list = new ArrayList<T>();
        try {
            // new(org.json.JSONObject.class)
            final JSONArray jsonArray = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONArray("relationships");
            for (int i = 0; i < jsonArray.length(); ++i) {
                final Relationship relationship = new Relationship();
                final JSONObject jsonObject = jsonArray.getJSONObject(i);
                relationship.setRelationshipId(Integer.parseInt(jsonObject.getString("id")));
                relationship.setState(jsonObject.getString("state"));
                relationship.setFollower(parseUser(jsonObject.getJSONObject("follower")));
                relationship.setFollowing(parseUser(jsonObject.getJSONObject("following")));
                list.add((T)relationship.saveOrUpdate().getFollowing());
            }
            return list;
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    private static ArrayList<InfoNutricional> parseInfoNutricional(final SoapObject soapObject, final Alimento alimento) {
        final ArrayList<InfoNutricional> list = new ArrayList<InfoNutricional>();
        final InfoNutricional infoNutricional = new InfoNutricional();
        infoNutricional.setValue("Texto Nutricional");
        infoNutricional.setDescricao(soapObject.getPropertySafelyAsString("texto_nutricional", (Object)""));
        infoNutricional.setAlimento(alimento);
        infoNutricional.save();
        final InfoNutricional infoNutricional2 = new InfoNutricional();
        infoNutricional2.setValue("Titulo Tabela");
        infoNutricional2.setDescricao(soapObject.getPropertySafelyAsString("titulo_tabela", (Object)""));
        infoNutricional2.setAlimento(alimento);
        infoNutricional2.save();
        list.add(infoNutricional2);
        final SoapObject soapObject2 = (SoapObject)((SoapObject)((SoapObject)soapObject.getProperty("tipo_alimentos")).getProperty("tipo_alimento")).getProperty(0);
        for (int propertyCount = soapObject2.getPropertyCount(), i = 0; i < propertyCount; ++i) {
            final SoapObject soapObject3 = (SoapObject)soapObject2.getProperty(i);
            final InfoNutricional infoNutricional3 = new InfoNutricional();
            infoNutricional3.setDescricao(soapObject3.getPropertySafelyAsString("nome", (Object)""));
            infoNutricional3.setValue(soapObject3.getPropertySafelyAsString("valor", (Object)""));
            infoNutricional3.setAlimento(alimento);
            infoNutricional3.save();
            list.add(infoNutricional3);
        }
        return list;
    }
    
    private static ArrayList<InfoNutricional> parseInfoNutricional(final SoapObject soapObject, final AlimentoSemana alimentoSemana) {
        final ArrayList<InfoNutricional> list = new ArrayList<InfoNutricional>();
        final InfoNutricional infoNutricional = new InfoNutricional();
        infoNutricional.setValue("Texto Nutricional");
        infoNutricional.setDescricao(soapObject.getPropertySafelyAsString("texto_nutricional", (Object)""));
        infoNutricional.setAlimentoSemana(alimentoSemana);
        infoNutricional.save();
        final InfoNutricional infoNutricional2 = new InfoNutricional();
        infoNutricional2.setValue("Titulo Tabela");
        infoNutricional2.setDescricao(soapObject.getPropertySafelyAsString("titulo_tabela", (Object)""));
        infoNutricional2.setAlimentoSemana(alimentoSemana);
        infoNutricional2.save();
        list.add(infoNutricional2);
        final SoapObject soapObject2 = (SoapObject)((SoapObject)((SoapObject)soapObject.getProperty("tipo_alimentos")).getProperty("tipo_alimento")).getProperty(0);
        for (int propertyCount = soapObject2.getPropertyCount(), i = 0; i < propertyCount; ++i) {
            final SoapObject soapObject3 = (SoapObject)soapObject2.getProperty(i);
            final InfoNutricional infoNutricional3 = new InfoNutricional();
            infoNutricional3.setDescricao(soapObject3.getPropertySafelyAsString("nome", (Object)""));
            infoNutricional3.setValue(soapObject3.getPropertySafelyAsString("valor", (Object)""));
            infoNutricional3.setAlimentoSemana(alimentoSemana);
            infoNutricional3.save();
            list.add(infoNutricional3);
        }
        return list;
    }
    
    private static ArrayList<InformacaoNutricional> parseInformacaoNutricional(final SoapObject soapObject, final Receita receita) {
        final ArrayList<InformacaoNutricional> list = new ArrayList<InformacaoNutricional>();
        for (int propertyCount = soapObject.getPropertyCount(), i = 0; i < propertyCount; ++i) {
            final SoapObject soapObject2 = (SoapObject)soapObject.getProperty(i);
            final InformacaoNutricional informacaoNutricional = new InformacaoNutricional();
            informacaoNutricional.setDescricao(soapObject2.getPropertySafelyAsString("descricao", (Object)""));
            informacaoNutricional.setValue(soapObject2.getPropertySafelyAsString("valor", (Object)""));
            informacaoNutricional.setReceita(receita);
            informacaoNutricional.save();
            list.add(informacaoNutricional);
        }
        return list;
    }
    
    private static ArrayList<Ingrediente> parseIngredientes(final SoapObject soapObject, final Receita receita) {
        final ArrayList<Ingrediente> list = new ArrayList<Ingrediente>();
        for (int propertyCount = soapObject.getPropertyCount(), i = 0; i < propertyCount; ++i) {
            final SoapObject soapObject2 = (SoapObject)soapObject.getProperty(i);
            final Ingrediente ingrediente = new Ingrediente();
            ingrediente.setDescricao((String)((SoapPrimitive)soapObject2.getPropertySafely("descricao", (Object)"")).getValue());
            if (soapObject2.hasProperty("quantidade") && soapObject2.getProperty("quantidade") instanceof SoapPrimitive) {
                ingrediente.setQuantity((String)((SoapPrimitive)soapObject2.getPropertySafely("quantidade", (Object)"")).getValue());
            }
            else {
                ingrediente.setQuantity("");
            }
            ingrediente.setUnity(((String)((SoapPrimitive)soapObject2.getPropertySafely("unidade", (Object)"")).getValue()).trim());
            ingrediente.setReceita(receita);
            ingrediente.setPurchased(false);
            ingrediente.setVisible(true);
            ingrediente.save();
            list.add(ingrediente);
        }
        return list;
    }
    
    protected static ArrayList<Instagram> parseInstagram(final String s) {
        try {
            final ArrayList<Instagram> list = new ArrayList<Instagram>();
            final Gson gson = new Gson();
            Object o;
            if (!(gson instanceof Gson)) {
                o = gson.fromJson(s, (Class)Instagram.class);
            }
            else {
                o = GsonInstrumentation.fromJson((Gson)gson, s, (Class)Instagram.class);
            }
            list.add((Instagram)o);
            return list;
        }
        catch (Exception ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    protected static ArrayList<InstagramComments> parseInstagramComments(final String s) {
        try {
            // new(org.json.JSONObject.class)
            final JSONObject jsonObject = JSONObjectInstrumentation.init(s).getJSONObject("data");
            String s2;
            if (!(jsonObject instanceof JSONObject)) {
                s2 = jsonObject.toString();
            }
            else {
                s2 = JSONObjectInstrumentation.toString((JSONObject)jsonObject);
            }
            final ArrayList<InstagramComments> list = new ArrayList<InstagramComments>();
            final Gson gson = new Gson();
            Object o;
            if (!(gson instanceof Gson)) {
                o = gson.fromJson(s2, (Class)InstagramComments.class);
            }
            else {
                o = GsonInstrumentation.fromJson((Gson)gson, s2, (Class)InstagramComments.class);
            }
            list.add((InstagramComments)o);
            return list;
        }
        catch (Exception ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    protected static boolean parseLogin(final String s) {
        try {
            // new(org.json.JSONObject.class)
            final JSONObject jsonObject = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONObject("session");
            // new(org.json.JSONObject.class)
            final JSONObject jsonObject2 = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONObject("user");
            final User user = User.getUser();
            if (user != null) {
                user.setToken(jsonObject.getString("accessToken"));
                user.setProfileImage(jsonObject2.getString("profile_image"));
                user.setProfileId(jsonObject2.getInt("id"));
                user.setUsername(jsonObject2.getString("username"));
                final SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.US);
                try {
                    user.setExpireDate(simpleDateFormat.parse(jsonObject.getString("expires")).getTime());
                    user.save();
                    Log.d("NReceitas", "User synced with server");
                    return true;
                }
                catch (ParseException ex) {
                    ex.printStackTrace();
                }
            }
        }
        catch (JSONException ex2) {
            ex2.printStackTrace();
        }
        return false;
    }
    
    protected static <T> T parseMe(final String s) {
        try {
            // new(org.json.JSONObject.class)
            return (T)parseUser(JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONObject("user"));
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    private static ArrayList<PassosPreparacao> parsePassosPreparacao(final SoapObject soapObject, final Receita receita) {
        final ArrayList<PassosPreparacao> list = new ArrayList<PassosPreparacao>();
        for (int propertyCount = soapObject.getPropertyCount(), i = 0; i < propertyCount; ++i) {
            final SoapObject soapObject2 = (SoapObject)soapObject.getProperty(i);
            final PassosPreparacao passosPreparacao = new PassosPreparacao();
            passosPreparacao.setPasso((String)((SoapPrimitive)soapObject2.getPropertySafely("passo", (Object)"")).getValue());
            passosPreparacao.setReceita(receita);
            passosPreparacao.save();
            list.add(passosPreparacao);
        }
        return list;
    }
    
    protected static <T> T parsePinkReceitas(final String s) {
        while (true) {
            final PinkReceita pinkReceita = new PinkReceita();
            while (true) {
                PinkReceita saveOrUpdate;
                JSONArray jsonArray;
                int n;
                try {
                    // new(org.json.JSONObject.class)
                    final JSONObject jsonObject = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONObject("recipe");
                    pinkReceita.setNestleId(jsonObject.getString("code"));
                    pinkReceita.setReceitaId(Integer.parseInt(jsonObject.getString("id")));
                    pinkReceita.setSociableId(Integer.parseInt(jsonObject.getString("sociable_id")));
                    pinkReceita.setFullRecipe(true);
                    saveOrUpdate = pinkReceita.saveOrUpdate();
                    jsonArray = jsonObject.getJSONArray("comments");
                    final Iterator<Twist> iterator = Twist.getByReceitaId(saveOrUpdate.getId()).iterator();
                    while (iterator.hasNext()) {
                        iterator.next().delete();
                    }
                    n = 0;
                    if (n >= jsonArray.length()) {
                        return (T)saveOrUpdate;
                    }
                }
                catch (JSONException ex) {
                    ex.printStackTrace();
                    return null;
                }
                parseTwist(jsonArray.getJSONObject(n), saveOrUpdate, null);
                ++n;
                continue;
            }
        }
    }
    
    protected static <T> T parsePinkUsers(final String s) {
        try {
            // new(org.json.JSONObject.class)
            return (T)parseUser(JSONObjectInstrumentation.init(s).getJSONObject("data"));
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    protected static boolean parsePostResponse(final String s) {
        try {
            // new(org.json.JSONObject.class)
            final int int1 = JSONObjectInstrumentation.init(s).getJSONObject("error").getInt("code");
            boolean b = false;
            if (int1 == 0) {
                b = true;
            }
            return b;
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return false;
        }
    }
    
    private static Receita parseReceita(final SoapObject soapObject) {
        final Receita receita = new Receita();
        if (soapObject.hasProperty("idReceita")) {
            receita.setIdReceita((String)((SoapPrimitive)soapObject.getProperty("idReceita")).getValue());
        }
        if (soapObject.hasProperty("Titulo")) {
            receita.setTitulo((String)((SoapPrimitive)soapObject.getProperty("Titulo")).getValue());
        }
        if (soapObject.hasProperty("Rating")) {
            receita.setRating(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("Rating")).getValue()));
        }
        if (soapObject.hasProperty("nPessoas")) {
            receita.setnPessoas(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("nPessoas")).getValue()));
        }
        if (soapObject.hasProperty("Duracao")) {
            receita.setDuracao(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("Duracao")).getValue()));
        }
        if (soapObject.hasProperty("idTipoTempo")) {
            receita.setIdTipoTempo(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("idTipoTempo")).getValue()));
            receita.setTempo(TipoTempo.getById(receita.getIdTipoTempo()).get(0));
        }
        if (soapObject.hasProperty("idTipoCusto")) {
            receita.setIdTipoCusto(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("idTipoCusto")).getValue()));
            receita.setCusto(TipoCusto.getById(receita.getIdTipoCusto()).get(0));
        }
        if (soapObject.hasProperty("idTipoDificuldade")) {
            receita.setIdTipoDificuldade(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("idTipoDificuldade")).getValue()));
            receita.setDificuldade(TipoDificuldade.getById(receita.getIdTipoDificuldade()).get(0));
        }
        if (soapObject.hasProperty("Imagem")) {
            receita.setImagem((String)((SoapPrimitive)soapObject.getProperty("Imagem")).getValue());
        }
        if (soapObject.hasProperty("VideoImagem")) {
            receita.setVideoImagem((String)((SoapPrimitive)soapObject.getProperty("VideoImagem")).getValue());
        }
        if (soapObject.hasProperty("VideoReceita") && soapObject.getProperty("VideoReceita") instanceof SoapPrimitive) {
            receita.setVideoReceita((String)((SoapPrimitive)soapObject.getProperty("VideoReceita")).getValue());
        }
        if (soapObject.hasProperty("shortUrl")) {
            receita.setShortUrl((String)((SoapPrimitive)soapObject.getProperty("shortUrl")).getValue());
        }
        if (soapObject.hasProperty("Likes")) {
            receita.setLikes((String)((SoapPrimitive)soapObject.getProperty("Likes")).getValue());
        }
        if (soapObject.hasProperty("Votacoes")) {
            receita.setVotacoes(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("Votacoes")).getValue()));
        }
        final Receita saveOrUpdate = receita.saveOrUpdate();
        if (soapObject.hasProperty("Ingredientes") && ((SoapObject)soapObject.getProperty("Ingredientes")).getPropertyCount() > 0) {
            parseIngredientes((SoapObject)soapObject.getProperty("Ingredientes"), saveOrUpdate);
            saveOrUpdate.setFullRecipe(true);
            saveOrUpdate.save();
        }
        if (soapObject.hasProperty("PassosPreparacao") && ((SoapObject)soapObject.getProperty("PassosPreparacao")).getPropertyCount() > 0) {
            parsePassosPreparacao((SoapObject)soapObject.getProperty("PassosPreparacao"), saveOrUpdate);
        }
        if (soapObject.hasProperty("InformacaoNutricional") && ((SoapObject)soapObject.getProperty("InformacaoNutricional")).getPropertyCount() > 0) {
            parseInformacaoNutricional((SoapObject)soapObject.getProperty("InformacaoNutricional"), saveOrUpdate);
        }
        return saveOrUpdate;
    }
    
    private static <T> ArrayList<T> parseResponse(final SoapObject soapObject, final int n) {
        ArrayList<T> list = new ArrayList<T>();
        Label_1031: {
            switch (n) {
                default: {
                    list = null;
                    break;
                }
                case 16: {
                    break Label_1031;
                }
                case 15: {
                    break Label_1031;
                }
                case 14: {
                    break Label_1031;
                }
                case 13: {
                    break Label_1031;
                }
                case 12: {
                    break Label_1031;
                }
                case 11: {
                    break Label_1031;
                }
                case 10: {
                    break Label_1031;
                }
                case 1: {
                    try {
                        final int propertyCount2 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                        Top10.deleteAll();
                        for (int j = 0; j < propertyCount2; ++j) {
                            final Receita receita = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(j));
                            list.add((T)receita);
                            final Top10 top10 = new Top10();
                            top10.setTopId(receita.getIdReceita());
                            top10.save();
                        }
                        break;
                        // iftrue(Label_0178:, n2 >= propertyCount3)
                        // iftrue(Label_0348:, !soapObject4.hasProperty("id"))
                        // iftrue(Label_0789:, !soapObject5.hasProperty("id"))
                        // iftrue(Label_0654:, !soapObject6.hasProperty("id"))
                        // iftrue(Label_0822:, !soapObject5.hasProperty("descricao"))
                        // iftrue(Label_0178:, n7 >= propertyCount7)
                        // iftrue(Label_0519:, !soapObject3.hasProperty("nome"))
                        // iftrue(Label_0552:, !soapObject3.hasProperty("icon"))
                        // iftrue(Label_0178:, n4 >= propertyCount5)
                        // iftrue(Label_1111:, iterator.hasNext())
                        // iftrue(Label_0178:, n8 >= propertyCount9)
                        // iftrue(Label_0178:, n6 >= propertyCount6)
                        // iftrue(Label_0687:, !soapObject6.hasProperty("descricao"))
                        // iftrue(Label_0381:, !soapObject4.hasProperty("descricao"))
                        // iftrue(Label_0178:, n5 >= propertyCount8)
                        // iftrue(Label_0178:, n3 >= propertyCount4)
                        // iftrue(Label_0483:, !soapObject3.hasProperty("id"))
                        while (true) {
                            TipoDificuldade tipoDificuldade = null;
                            SoapObject soapObject6 = null;
                        Label_0280:
                            while (true) {
                                int n5 = 0;
                                TipoTempo tipoTempo = null;
                            Label_1070:
                                while (true) {
                                    int n2 = 0;
                                    int propertyCount3;
                                    int propertyCount4;
                                    int n3 = 0;
                                    TipoRefeicao tipoRefeicao = null;
                                    SoapObject soapObject3 = null;
                                    int propertyCount5;
                                    int n4 = 0;
                                    SoapObject soapObject4 = null;
                                    int propertyCount6;
                                    Iterator<TipoRefeicaoReceita> iterator;
                                    SoapObject soapObject5 = null;
                                    TipoCusto tipoCusto = null;
                                    int n6;
                                    int propertyCount7;
                                    int n7 = 0;
                                    int n8 = 0;
                                    int propertyCount8;
                                    Receita receita2;
                                    TipoRefeicaoReceita tipoRefeicaoReceita;
                                    int propertyCount9;
                                    Receita receita3;
                                    MomentosEspeciaisReceita momentosEspeciaisReceita;
                                    Label_1057:Block_36_Outer:
                                    while (true) {
                                        while (true) {
                                            Block_41_Outer:Block_34_Outer:
                                            while (true) {
                                            Label_0586_Outer:
                                                while (true) {
                                                Label_0586:
                                                    while (true) {
                                                        Label_0687: {
                                                            while (true) {
                                                            Block_37:
                                                                while (true) {
                                                                    while (true) {
                                                                        Block_38_Outer:Label_0856_Outer:
                                                                        while (true) {
                                                                            Label_0822: {
                                                                            Label_0954:
                                                                                while (true) {
                                                                                Block_46:
                                                                                    while (true) {
                                                                                    Label_0856:
                                                                                        while (true) {
                                                                                        Label_0789_Outer:
                                                                                            while (true) {
                                                                                                Label_0483: {
                                                                                                    while (true) {
                                                                                                        Block_43: {
                                                                                                            Block_33: {
                                                                                                                Block_42: {
                                                                                                                    break Block_42;
                                                                                                                    propertyCount4 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                                    n3 = 0;
                                                                                                                    break Block_41_Outer;
                                                                                                                    tipoRefeicao.setIcon((String)((SoapPrimitive)soapObject3.getProperty("icon")).getValue());
                                                                                                                    Label_0552: {
                                                                                                                        break Label_0552;
                                                                                                                        propertyCount5 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                                        n4 = 0;
                                                                                                                        break Label_0856;
                                                                                                                        soapObject4 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n5);
                                                                                                                        tipoTempo = new TipoTempo();
                                                                                                                        break Block_33;
                                                                                                                    }
                                                                                                                    tipoRefeicao.save();
                                                                                                                    list.add((T)tipoRefeicao);
                                                                                                                    ++n3;
                                                                                                                    break Block_41_Outer;
                                                                                                                    propertyCount6 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                                    iterator = TipoRefeicaoReceita.getAllReceitasByCategoria(WebServiceRequester.pedidoID).iterator();
                                                                                                                    break Label_1057;
                                                                                                                    tipoRefeicao.setTipoRefeicaoId(Integer.parseInt((String)((SoapPrimitive)soapObject3.getProperty("id")).getValue()));
                                                                                                                    break Label_0483;
                                                                                                                }
                                                                                                                soapObject5 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n2);
                                                                                                                tipoCusto = new TipoCusto();
                                                                                                                break Block_43;
                                                                                                                list.add((T)parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n6)));
                                                                                                                ++n6;
                                                                                                                break Label_1070;
                                                                                                                propertyCount7 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                                n7 = 0;
                                                                                                                break Label_0954;
                                                                                                                tipoDificuldade.setDescricao((String)((SoapPrimitive)soapObject6.getProperty("descricao")).getValue());
                                                                                                                break Label_0687;
                                                                                                                soapObject6 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n8);
                                                                                                                tipoDificuldade = new TipoDificuldade();
                                                                                                                break Label_0280;
                                                                                                                while (true) {
                                                                                                                    tipoCusto.setDescricao((String)((SoapPrimitive)soapObject5.getProperty("descricao")).getValue());
                                                                                                                    break Label_0822;
                                                                                                                    continue Label_0789_Outer;
                                                                                                                }
                                                                                                                break Block_46;
                                                                                                                propertyCount3 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                                n2 = 0;
                                                                                                                continue Block_38_Outer;
                                                                                                            }
                                                                                                            tipoTempo.setTipoId(Integer.parseInt((String)((SoapPrimitive)soapObject4.getProperty("id")).getValue()));
                                                                                                            break Label_0586;
                                                                                                        }
                                                                                                        tipoCusto.setTipoCustoId(Integer.parseInt((String)((SoapPrimitive)soapObject5.getProperty("id")).getValue()));
                                                                                                        continue Block_34_Outer;
                                                                                                    }
                                                                                                    tipoTempo.setDescricao((String)((SoapPrimitive)soapObject4.getProperty("descricao")).getValue());
                                                                                                    break Label_1070;
                                                                                                    propertyCount8 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                                    n5 = 0;
                                                                                                    break Label_0280;
                                                                                                }
                                                                                                break Block_37;
                                                                                                continue Label_0856_Outer;
                                                                                            }
                                                                                            Block_45: {
                                                                                                break Block_45;
                                                                                                break Label_1057;
                                                                                            }
                                                                                            receita2 = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n4));
                                                                                            receita2.save();
                                                                                            list.add((T)receita2);
                                                                                            tipoRefeicaoReceita = new TipoRefeicaoReceita();
                                                                                            tipoRefeicaoReceita.setReceita(receita2.getIdReceita());
                                                                                            tipoRefeicaoReceita.setTipoRefeicao(Integer.parseInt(WebServiceRequester.pedidoID));
                                                                                            tipoRefeicaoReceita.saveOrUpdate();
                                                                                            ++n4;
                                                                                            continue Label_0856;
                                                                                        }
                                                                                        continue Block_34_Outer;
                                                                                    }
                                                                                    receita3 = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n7));
                                                                                    list.add((T)receita3);
                                                                                    momentosEspeciaisReceita = new MomentosEspeciaisReceita();
                                                                                    momentosEspeciaisReceita.setReceita(receita3.getIdReceita());
                                                                                    momentosEspeciaisReceita.setMomentoEspecial(Integer.parseInt(WebServiceRequester.pedidoID));
                                                                                    momentosEspeciaisReceita.saveOrUpdate();
                                                                                    ++n7;
                                                                                    continue Label_0954;
                                                                                }
                                                                                propertyCount9 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount();
                                                                                n8 = 0;
                                                                                continue Label_0586;
                                                                            }
                                                                            tipoCusto.save();
                                                                            list.add((T)tipoCusto);
                                                                            ++n2;
                                                                            continue Block_38_Outer;
                                                                        }
                                                                        continue Block_41_Outer;
                                                                    }
                                                                    continue Block_34_Outer;
                                                                }
                                                                tipoRefeicao.setNome(((String)((SoapPrimitive)soapObject3.getProperty("nome")).getValue()).trim());
                                                                continue Label_0586_Outer;
                                                            }
                                                        }
                                                        tipoDificuldade.save();
                                                        list.add((T)tipoDificuldade);
                                                        ++n8;
                                                        continue Label_0586;
                                                    }
                                                    continue;
                                                }
                                                continue Block_36_Outer;
                                            }
                                            soapObject3 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n3);
                                            tipoRefeicao = new TipoRefeicao();
                                            continue;
                                        }
                                        Label_1111: {
                                            iterator.next().delete();
                                        }
                                        continue Label_1057;
                                    }
                                    n6 = 0;
                                    continue Label_1070;
                                }
                                tipoTempo.save();
                                list.add((T)tipoTempo);
                                ++n5;
                                continue Label_0280;
                            }
                            tipoDificuldade.setTipoDificuldadeId(Integer.parseInt((String)((SoapPrimitive)soapObject6.getProperty("id")).getValue()));
                            continue;
                        }
                    }
                    catch (Exception ex) {
                        ex.printStackTrace();
                        return null;
                    }
                }
                case 8: {
                    for (int propertyCount = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), i = 0; i < propertyCount; ++i) {
                        final SoapObject soapObject2 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(i);
                        final T t = (T)new MomentoEspecial();
                        if (soapObject2.hasProperty("id")) {
                            ((MomentoEspecial)t).setMomentoEspecialId(Integer.parseInt((String)((SoapPrimitive)soapObject2.getProperty("id")).getValue()));
                        }
                        if (soapObject2.hasProperty("descricao")) {
                            ((MomentoEspecial)t).setDescricao((String)((SoapPrimitive)soapObject2.getProperty("descricao")).getValue());
                        }
                        if (soapObject2.hasProperty("foto")) {
                            ((MomentoEspecial)t).setFoto((String)((SoapPrimitive)soapObject2.getProperty("foto")).getValue());
                        }
                        if (soapObject2.hasProperty("icon")) {
                            ((MomentoEspecial)t).setIcon((String)((SoapPrimitive)soapObject2.getProperty("Icon")).getValue());
                        }
                        ((MomentoEspecial)t).save();
                        list.add(t);
                    }
                    break;
                }
                case 7: {
                    for (int propertyCount10 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), k = 0; k < propertyCount10; ++k) {
                        final SoapObject soapObject7 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(k);
                        final Ingrediente ingrediente = new Ingrediente();
                        if (soapObject7.hasProperty("descricao")) {
                            ingrediente.setDescricao((String)((SoapPrimitive)soapObject7.getProperty("descricao")).getValue());
                        }
                        ingrediente.setPurchased(false);
                        ingrediente.setVisible(true);
                        list.add((T)ingrediente);
                    }
                    break;
                }
                case 6: {
                    for (int propertyCount11 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), l = 0; l < propertyCount11; ++l) {
                        final SoapObject soapObject8 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(l);
                        final Categoria categoria = new Categoria();
                        if (soapObject8.hasProperty("id")) {
                            categoria.setCategoriaId(Integer.parseInt((String)((SoapPrimitive)soapObject8.getProperty("id")).getValue()));
                        }
                        if (soapObject8.hasProperty("descricao")) {
                            categoria.setDescricao((String)((SoapPrimitive)soapObject8.getProperty("descricao")).getValue());
                        }
                        if (soapObject8.hasProperty("icon")) {
                            categoria.setIcon((String)((SoapPrimitive)soapObject8.getProperty("icon")).getValue());
                        }
                        categoria.save();
                        list.add((T)categoria);
                    }
                    break;
                }
                case 5: {
                    final NReceitas nReceitas = new NReceitas();
                    if (soapObject.hasProperty("nReceitas")) {
                        nReceitas.setCount(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("nReceitas")).getValue()));
                    }
                    list.add((T)nReceitas);
                    return list;
                }
                case 4: {
                    for (int propertyCount12 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n9 = 0; n9 < propertyCount12; ++n9) {
                        list.add((T)parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n9)));
                    }
                    break;
                }
                case 3: {
                    final NReceitas nReceitas2 = new NReceitas();
                    if (soapObject.hasProperty("nReceitas")) {
                        nReceitas2.setCount(Integer.parseInt((String)((SoapPrimitive)soapObject.getProperty("nReceitas")).getValue()));
                    }
                    list.add((T)nReceitas2);
                    return list;
                }
                case 2: {
                    for (int propertyCount13 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n10 = 0; n10 < propertyCount13; ++n10) {
                        list.add((T)parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n10)));
                    }
                    break;
                }
                case 18: {
                    for (int propertyCount14 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n11 = 0; n11 < propertyCount14; ++n11) {
                        final Receita receita4 = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n11));
                        list.add((T)receita4);
                        final NestleTVEntradasReceita nestleTVEntradasReceita = new NestleTVEntradasReceita();
                        nestleTVEntradasReceita.setReceita(receita4.getIdReceita());
                        nestleTVEntradasReceita.save();
                    }
                    break;
                }
                case 19: {
                    for (int propertyCount15 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n12 = 0; n12 < propertyCount15; ++n12) {
                        final Receita receita5 = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n12));
                        list.add((T)receita5);
                        final NestleTVPratosReceita nestleTVPratosReceita = new NestleTVPratosReceita();
                        nestleTVPratosReceita.setReceita(receita5.getIdReceita());
                        nestleTVPratosReceita.save();
                    }
                    break;
                }
                case 20: {
                    for (int propertyCount16 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n13 = 0; n13 < propertyCount16; ++n13) {
                        final Receita receita6 = parseReceita((SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n13));
                        list.add((T)receita6);
                        final NestleTVSobremesasReceita nestleTVSobremesasReceita = new NestleTVSobremesasReceita();
                        nestleTVSobremesasReceita.setReceita(receita6.getIdReceita());
                        nestleTVSobremesasReceita.save();
                    }
                    break;
                }
                case 9: {
                    list.add((T)parseReceita((SoapObject)soapObject.getProperty(0)));
                    return list;
                }
                case 17: {
                    Destaque.deleteAll();
                    for (int propertyCount17 = ((SoapObject)soapObject.getProperty(0)).getPropertyCount(), n14 = 0; n14 < propertyCount17; ++n14) {
                        final SoapObject soapObject9 = (SoapObject)((SoapObject)soapObject.getProperty(0)).getProperty(n14);
                        final Destaque destaque = new Destaque();
                        destaque.setDestaqueId((String)((SoapPrimitive)soapObject9.getPropertySafely("id", (Object)"")).getValue());
                        if (soapObject9.hasProperty("imagem")) {
                            destaque.setImagem((String)((SoapPrimitive)soapObject9.getPropertySafely("imagem", (Object)"")).getValue());
                        }
                        else {
                            destaque.setImagem("http://img.youtube.com/vi/" + destaque.getDestaqueId() + "/maxresdefault.jpg");
                        }
                        destaque.setLikes((String)((SoapPrimitive)soapObject9.getPropertySafely("likes", (Object)"")).getValue());
                        if (soapObject9.hasProperty("nome")) {
                            destaque.setNome((String)((SoapPrimitive)soapObject9.getPropertySafely("nome", (Object)"")).getValue());
                        }
                        destaque.setTipoDestaque((String)((SoapPrimitive)soapObject9.getPropertySafely("tipoDestaque", (Object)"")).getValue());
                        if (destaque.getTipoDestaque().equalsIgnoreCase("video")) {
                            destaque.setTipo(Destaque.TIPO.VIDEO);
                            destaque.setTitulo("TRUQUES & DICAS");
                        }
                        else if (destaque.getTipoDestaque().equalsIgnoreCase("momentoespecial")) {
                            destaque.setTipo(Destaque.TIPO.MOMENTO_ESPECIAL);
                            destaque.setTitulo("MOMENTOS ESPECIAIS");
                        }
                        else if (destaque.getTipoDestaque().equalsIgnoreCase("alimentosemana")) {
                            destaque.setTipo(Destaque.TIPO.ALIMENTO);
                            destaque.setTitulo("ALIMENTO EM DESTAQUE");
                        }
                        else {
                            destaque.setTipo(Destaque.TIPO.RECEITA);
                            if (destaque.getTipoDestaque().equalsIgnoreCase("top10")) {
                                destaque.setTitulo("RECEITA EM DESTAQUE");
                            }
                            else if (destaque.getTipoDestaque().equalsIgnoreCase("nestletv")) {
                                destaque.setTitulo("NESTL\u00c9 TV");
                            }
                            else if (destaque.getTipoDestaque().equalsIgnoreCase("receitacarne")) {
                                destaque.setTitulo("CARNE");
                            }
                            else if (destaque.getTipoDestaque().equalsIgnoreCase("receitapeixe")) {
                                destaque.setTitulo("PEIXE");
                            }
                            else if (destaque.getTipoDestaque().equalsIgnoreCase("receita")) {
                                destaque.setTitulo("SOBREMESA");
                                destaque.setTipoDestaque("sobremesas");
                            }
                        }
                        destaque.save();
                        list.add((T)destaque);
                    }
                    break;
                }
                case 21: {
                    final SoapObject soapObject10 = (SoapObject)((SoapObject)soapObject.getProperty("AlimentosSemana")).getProperty(0);
                    final AlimentoSemana alimentoSemana = new AlimentoSemana();
                    alimentoSemana.setIdAlimento(soapObject10.getPropertySafelyAsString("idAlimento", (Object)""));
                    alimentoSemana.setDescricao(soapObject10.getPropertySafelyAsString("descricao", (Object)""));
                    alimentoSemana.setNome(soapObject10.getPropertySafelyAsString("nome", (Object)""));
                    alimentoSemana.setImagem(soapObject10.getPropertySafelyAsString("Imagem", (Object)""));
                    alimentoSemana.setVantagens(soapObject10.getPropertySafelyAsString("Vantagens", (Object)""));
                    alimentoSemana.setConservar(soapObject10.getPropertySafelyAsString("Conservar", (Object)""));
                    alimentoSemana.setLink(soapObject10.getPropertySafelyAsString("link", (Object)""));
                    alimentoSemana.save();
                    parseInfoNutricional((SoapObject)soapObject10.getProperty("info_nutricional"), alimentoSemana);
                    list.add((T)alimentoSemana);
                    return list;
                }
                case 38: {
                    final SoapObject soapObject11 = (SoapObject)((SoapObject)soapObject.getProperty("AlimentosSemana")).getProperty(0);
                    final Alimento alimento = new Alimento();
                    alimento.setIdAlimento(soapObject11.getPropertySafelyAsString("idAlimento", (Object)""));
                    alimento.setDescricao(soapObject11.getPropertySafelyAsString("descricao", (Object)""));
                    alimento.setNome(soapObject11.getPropertySafelyAsString("nome", (Object)""));
                    alimento.setImagem(soapObject11.getPropertySafelyAsString("Imagem", (Object)""));
                    alimento.setVantagens(soapObject11.getPropertySafelyAsString("Vantagens", (Object)""));
                    alimento.setConservar(soapObject11.getPropertySafelyAsString("Conservar", (Object)""));
                    alimento.setLink(soapObject11.getPropertySafelyAsString("link", (Object)""));
                    alimento.save();
                    parseInfoNutricional((SoapObject)soapObject11.getProperty("info_nutricional"), alimento);
                    list.add((T)alimento);
                    return list;
                }
            }
        }
        Label_0178: {
            return list;
        }
    }
    
    private static Twist parseTwist(final JSONObject jsonObject, final PinkReceita receita, final PinkUser user) {
        while (true) {
            final Twist twist = new Twist();
        Label_0310_Outer:
            while (true) {
                Label_0341: {
                    PinkReceita pinkReceita = null;
                    try {
                        twist.setTwistId(Integer.parseInt(jsonObject.getString("id")));
                        twist.setCreated(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.US).parse(jsonObject.optString("created", "2010-01-01 00:00:00")).getTime());
                        if (receita != null) {
                            twist.setReceita(receita);
                        }
                        else {
                            pinkReceita = new PinkReceita();
                            final JSONObject jsonObject2 = jsonObject;
                            final String s = "recipe";
                            final JSONObject jsonObject3 = jsonObject2.optJSONObject(s);
                            final JSONObject jsonObject5;
                            final JSONObject jsonObject4 = jsonObject5 = jsonObject3;
                            if (jsonObject5 == null) {
                                break Label_0341;
                            }
                            final PinkReceita pinkReceita2 = pinkReceita;
                            final boolean b = false;
                            pinkReceita2.setFullRecipe(b);
                            final PinkReceita pinkReceita3 = pinkReceita;
                            final JSONObject jsonObject6 = jsonObject4;
                            final String s2 = "code";
                            final String s3 = "";
                            final String s4 = jsonObject6.optString(s2, s3);
                            pinkReceita3.setNestleId(s4);
                            final PinkReceita pinkReceita4 = pinkReceita;
                            final JSONObject jsonObject7 = jsonObject4;
                            final String s5 = "id";
                            final String s6 = "0";
                            final String s7 = jsonObject7.optString(s5, s6);
                            final int n = Integer.parseInt(s7);
                            pinkReceita4.setReceitaId(n);
                            final PinkReceita pinkReceita5 = pinkReceita;
                            final JSONObject jsonObject8 = jsonObject4;
                            final String s8 = "name";
                            final String s9 = "";
                            final String s10 = jsonObject8.optString(s8, s9);
                            pinkReceita5.setName(s10);
                            final PinkReceita pinkReceita6 = pinkReceita;
                            final PinkReceita pinkReceita7 = pinkReceita6.saveOrUpdate();
                            final Twist twist2 = twist;
                            final PinkReceita pinkReceita8 = pinkReceita7;
                            twist2.setReceita(pinkReceita8);
                        }
                        if (user != null) {
                            twist.setUser(user);
                        }
                        twist.setText(jsonObject.optString("text", ""));
                        final TwistFrom twistFrom = new TwistFrom();
                        final JSONObject optJSONObject = jsonObject.optJSONObject("from");
                        if (optJSONObject != null) {
                            twistFrom.setFromId(Integer.parseInt(optJSONObject.optString("id", "")));
                            twistFrom.setFromUserName(optJSONObject.optString("username", ""));
                            twistFrom.setFromFirstName(optJSONObject.optString("first_name", ""));
                            twistFrom.setFromLastName(optJSONObject.optString("last_name", ""));
                            twistFrom.setFromProfileImage(optJSONObject.optString("profile_image", ""));
                            twistFrom.setFromCommentsCount(Integer.parseInt(optJSONObject.optString("comments_count", "0")));
                            twist.setTwistFrom(twistFrom.saveOrUpdate());
                        }
                        return twist.saveOrUpdate();
                    }
                    catch (NumberFormatException ex4) {}
                    catch (JSONException ex5) {}
                    catch (ParseException ex6) {}
                Label_0319_Outer:
                    while (true) {
                    Label_0301_Outer:
                        while (true) {
                            while (true) {
                                try {
                                    final JSONObject jsonObject2 = jsonObject;
                                    final String s = "recipe";
                                    final JSONObject jsonObject3 = jsonObject2.optJSONObject(s);
                                    final JSONObject jsonObject5;
                                    final JSONObject jsonObject4 = jsonObject5 = jsonObject3;
                                    if (jsonObject5 != null) {
                                        final PinkReceita pinkReceita2 = pinkReceita;
                                        final boolean b = false;
                                        pinkReceita2.setFullRecipe(b);
                                        final PinkReceita pinkReceita3 = pinkReceita;
                                        final JSONObject jsonObject6 = jsonObject4;
                                        final String s2 = "code";
                                        final String s3 = "";
                                        final String s4 = jsonObject6.optString(s2, s3);
                                        pinkReceita3.setNestleId(s4);
                                        final PinkReceita pinkReceita4 = pinkReceita;
                                        final JSONObject jsonObject7 = jsonObject4;
                                        final String s5 = "id";
                                        final String s6 = "0";
                                        final String s7 = jsonObject7.optString(s5, s6);
                                        final int n = Integer.parseInt(s7);
                                        pinkReceita4.setReceitaId(n);
                                        final PinkReceita pinkReceita5 = pinkReceita;
                                        final JSONObject jsonObject8 = jsonObject4;
                                        final String s8 = "name";
                                        final String s9 = "";
                                        final String s10 = jsonObject8.optString(s8, s9);
                                        pinkReceita5.setName(s10);
                                        final PinkReceita pinkReceita6 = pinkReceita;
                                        final PinkReceita pinkReceita7 = pinkReceita6.saveOrUpdate();
                                        final Twist twist2 = twist;
                                        final PinkReceita pinkReceita8 = pinkReceita7;
                                        twist2.setReceita(pinkReceita8);
                                        continue Label_0310_Outer;
                                    }
                                    break Label_0341;
                                    final JSONException ex;
                                    ex.printStackTrace();
                                    return twist;
                                    final ParseException ex2;
                                    ex2.printStackTrace();
                                    return twist;
                                    final NumberFormatException ex3;
                                    ex3.printStackTrace();
                                    return twist;
                                }
                                catch (ParseException ex2) {
                                    continue Label_0301_Outer;
                                }
                                catch (JSONException ex) {
                                    continue Label_0319_Outer;
                                }
                                catch (NumberFormatException ex3) {
                                    continue;
                                }
                                break;
                            }
                            break;
                        }
                        break;
                    }
                }
                continue;
            }
        }
    }
    
    protected static ArrayList<Twist> parseTwists(final String s) {
        final ArrayList<Twist> list = new ArrayList<Twist>();
        try {
            // new(org.json.JSONObject.class)
            final JSONArray jsonArray = JSONObjectInstrumentation.init(s).getJSONObject("data").getJSONArray("comments");
            for (int i = 0; i < jsonArray.length(); ++i) {
                list.add(parseTwist(jsonArray.getJSONObject(i), null, null));
            }
            return list;
        }
        catch (JSONException ex) {
            ex.printStackTrace();
            return list;
        }
    }
    
    private static PinkUser parseUser(final JSONObject jsonObject) {
        PinkUser pinkUser;
        PinkUser saveOrUpdate = null;
        JSONArray optJSONArray;
        JSONArray optJSONArray2 = null;
        Iterator<Relationship> iterator;
        int n = 0;
        JSONArray optJSONArray3 = null;
        Iterator<Relationship> iterator2 = null;
        int n2 = 0;
        Relationship relationship;
        JSONObject jsonObject2;
        Relationship relationship2;
        JSONObject jsonObject3;
        Label_0261_Outer:Label_0274_Outer:
        while (true) {
            pinkUser = new PinkUser();
            while (true) {
            Label_0425:
                while (true) {
                Label_0409:
                    while (true) {
                        Label_0329: {
                            try {
                                pinkUser.setUserId(Integer.parseInt(jsonObject.optString("id", "0")));
                                pinkUser.setFirstName(jsonObject.optString("first_name", ""));
                                pinkUser.setLastName(jsonObject.optString("last_name", ""));
                                pinkUser.setGender(Integer.parseInt(jsonObject.optString("gender_id", "0")));
                                pinkUser.setSociableId(Integer.parseInt(jsonObject.optString("sociable_id", "0")));
                                pinkUser.setUsername(jsonObject.optString("username", ""));
                                pinkUser.setProfileImage(jsonObject.optString("profile_image", ""));
                                pinkUser.setCommentsCount(Integer.parseInt(jsonObject.optString("comments_count", "0")));
                                pinkUser.setAddress(jsonObject.optString("address", ""));
                                pinkUser.setFacebook(jsonObject.optString("facebook", ""));
                                pinkUser.setFolloweByMe(jsonObject.optBoolean("is_followed_by_me", false));
                                saveOrUpdate = pinkUser.saveOrUpdate();
                                optJSONArray = jsonObject.optJSONArray("comments");
                                if (optJSONArray != null) {
                                    for (int i = 0; i < optJSONArray.length(); ++i) {
                                        parseTwist(optJSONArray.getJSONObject(i), null, saveOrUpdate);
                                    }
                                }
                                optJSONArray2 = jsonObject.optJSONArray("following");
                                if (optJSONArray2 != null) {
                                    iterator = Relationship.getAllRelationsByFollower(saveOrUpdate).iterator();
                                    while (iterator.hasNext()) {
                                        iterator.next().delete();
                                    }
                                    n = 0;
                                    if (n < optJSONArray2.length()) {
                                        break Label_0329;
                                    }
                                }
                                optJSONArray3 = jsonObject.optJSONArray("followed");
                                if (optJSONArray3 == null) {
                                    break;
                                }
                                iterator2 = Relationship.getAllRelationsByFollowed(saveOrUpdate).iterator();
                                if (iterator2.hasNext()) {
                                    break Label_0409;
                                }
                                n2 = 0;
                                if (n2 >= optJSONArray3.length()) {
                                    break;
                                }
                                break Label_0425;
                            }
                            catch (JSONException ex) {
                                ex.printStackTrace();
                                return null;
                            }
                        }
                        relationship = new Relationship();
                        jsonObject2 = optJSONArray2.getJSONObject(n);
                        relationship.setRelationshipId(Integer.parseInt(jsonObject2.getString("id")));
                        relationship.setState(jsonObject2.getString("state"));
                        relationship.setFollowing(parseUser(jsonObject2.getJSONObject("user")));
                        relationship.setFollower(saveOrUpdate);
                        relationship.saveOrUpdate();
                        ++n;
                        continue Label_0261_Outer;
                    }
                    iterator2.next().delete();
                    continue Label_0274_Outer;
                }
                relationship2 = new Relationship();
                jsonObject3 = optJSONArray3.getJSONObject(n2);
                relationship2.setRelationshipId(Integer.parseInt(jsonObject3.getString("id")));
                relationship2.setState(jsonObject3.getString("state"));
                relationship2.setFollowing(saveOrUpdate);
                relationship2.setFollower(parseUser(jsonObject3.getJSONObject("user")));
                relationship2.saveOrUpdate();
                ++n2;
                continue;
            }
        }
        return saveOrUpdate;
    }
    
    protected static <T> ArrayList<T> parseVideos(final String s) {
        final ArrayList<T> list = new ArrayList<T>();
        try {
            // new(org.json.JSONObject.class)
            final JSONArray jsonArray = JSONObjectInstrumentation.init(s).getJSONObject("feed").getJSONArray("entry");
            for (int i = 0; i < jsonArray.length(); ++i) {
                final JSONObject jsonObject = jsonArray.getJSONObject(i);
                final Video video = new Video();
                final String videoID = jsonObject.getJSONObject("media$group").getJSONArray("media$thumbnail").getJSONObject(0).optString("url", "").split("vi/")[1].split("/")[0];
                video.setImagem("http://img.youtube.com/vi/" + videoID + "/maxresdefault.jpg");
                video.setVideoID(videoID);
                video.setAutor(jsonObject.getJSONArray("author").getJSONObject(0).getJSONObject("name").optString("$t", ""));
                video.setTitulo(jsonObject.getJSONObject("title").optString("$t", ""));
                list.add((T)video.saveOrReplace());
            }
            return list;
        }
        catch (Exception ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    public static <T> AsyncTask<Void, Void, Void> startRequest(final Context context, final int n, final WebServiceRequesterCallback webServiceRequesterCallback, final Pair<String, String>... array) {
        final AsyncTask<Void, Void, Void> asyncTask = new AsyncTask<Void, Void, Void>() {
            public Trace _nr_trace;
            private int error;
            private ArrayList<T> response;
            
            public void _nr_setTrace(final Trace nr_trace) {
                try {
                    this._nr_trace = nr_trace;
                }
                catch (Exception ex) {}
            }
            
            protected Void doInBackground(final Void... array) {
                final int val$requestID = n;
                String s = null;
                while (true) {
                Label_0343_Outer:
                    while (true) {
                    Label_0439_Outer:
                        while (true) {
                        Label_0331_Outer:
                            while (true) {
                            Label_0394_Outer:
                                while (true) {
                                Label_0445_Outer:
                                    while (true) {
                                    Label_0415_Outer:
                                        while (true) {
                                        Label_0451_Outer:
                                            while (true) {
                                            Label_0421_Outer:
                                                while (true) {
                                                Label_0367_Outer:
                                                    while (true) {
                                                    Label_0469_Outer:
                                                        while (true) {
                                                        Label_0349_Outer:
                                                            while (true) {
                                                            Label_0361_Outer:
                                                                while (true) {
                                                                Label_0337_Outer:
                                                                    while (true) {
                                                                    Label_0463_Outer:
                                                                        while (true) {
                                                                        Label_0373_Outer:
                                                                            while (true) {
                                                                            Label_0325_Outer:
                                                                                while (true) {
                                                                                Label_0319_Outer:
                                                                                    while (true) {
                                                                                    Label_0433_Outer:
                                                                                        while (true) {
                                                                                        Label_0457_Outer:
                                                                                            while (true) {
                                                                                            Label_0427_Outer:
                                                                                                while (true) {
                                                                                                    while (true) {
                                                                                                        switch (val$requestID) {
                                                                                                            case 1: {
                                                                                                                Label_0313: {
                                                                                                                    break Label_0313;
                                                                                                                    try {
                                                                                                                        if (!this.isCancelled()) {
                                                                                                                            final HttpTransportSE httpTransportSE;
                                                                                                                            final String string;
                                                                                                                            final SoapSerializationEnvelope soapSerializationEnvelope;
                                                                                                                            httpTransportSE.call(string, (SoapEnvelope)soapSerializationEnvelope);
                                                                                                                            if (!this.isCancelled()) {
                                                                                                                                final SoapObject soapObject = (SoapObject)soapSerializationEnvelope.getResponse();
                                                                                                                                if (soapObject != null) {
                                                                                                                                    this.response = (ArrayList<T>)parseResponse(soapObject, n);
                                                                                                                                    if (this.response == null) {
                                                                                                                                        this.error = WebServiceRequester.CONNECTION_ERROR_PARSING;
                                                                                                                                        return null;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                            }
                                                                                                                        }
                                                                                                                        return null;
                                                                                                                        s = "getMomentoEspeciais";
                                                                                                                        break;
                                                                                                                        s = "getCategorias";
                                                                                                                        break;
                                                                                                                        s = "GetDestaques";
                                                                                                                        break;
                                                                                                                        s = "PesquisaIngredientes";
                                                                                                                        break;
                                                                                                                        WebServiceRequester.access$0((String)array[0].second);
                                                                                                                        s = "getReceitasPorTipoRefeicao";
                                                                                                                        break;
                                                                                                                        s = "getNestleTVEntradas ";
                                                                                                                        break;
                                                                                                                        s = "getTiposCusto";
                                                                                                                        break;
                                                                                                                        s = "getNestleTVPratosPrincipais";
                                                                                                                        break;
                                                                                                                        s = "getTiposDificuldade";
                                                                                                                        break;
                                                                                                                        s = "getReceitasPorCategoria";
                                                                                                                        break;
                                                                                                                        s = "GetAlimento";
                                                                                                                        break;
                                                                                                                        s = "getIngredientesPorCategoria";
                                                                                                                        break;
                                                                                                                        s = "getReceita";
                                                                                                                        break;
                                                                                                                        s = "PesquisaIngredientesCount";
                                                                                                                        break;
                                                                                                                        s = "top10";
                                                                                                                        break;
                                                                                                                        s = "GetAlimentosSemana";
                                                                                                                        break;
                                                                                                                        WebServiceRequester.access$0((String)array[0].second);
                                                                                                                        s = "getReceitasPorMomentoEspecial";
                                                                                                                        break;
                                                                                                                        s = "PesquisaCount";
                                                                                                                        break;
                                                                                                                        s = "Pesquisa";
                                                                                                                        break;
                                                                                                                        s = "getTiposTempo";
                                                                                                                        break;
                                                                                                                        s = "getNestleTVSobremesas";
                                                                                                                        break;
                                                                                                                        s = "getTiposRefeicao";
                                                                                                                        break;
                                                                                                                    }
                                                                                                                    catch (SoapFault soapFault) {
                                                                                                                        this.error = WebServiceRequester.CONNECTION_ERROR_PARSING;
                                                                                                                        soapFault.printStackTrace();
                                                                                                                        return null;
                                                                                                                    }
                                                                                                                    catch (HttpResponseException ex) {
                                                                                                                        this.error = WebServiceRequester.CONNECTION_ERROR_NETWORK;
                                                                                                                        ex.printStackTrace();
                                                                                                                        return null;
                                                                                                                    }
                                                                                                                    catch (IOException ex2) {
                                                                                                                        this.error = WebServiceRequester.CONNECTION_ERROR_NETWORK;
                                                                                                                        ex2.printStackTrace();
                                                                                                                        return null;
                                                                                                                    }
                                                                                                                    catch (XmlPullParserException ex3) {
                                                                                                                        this.error = WebServiceRequester.CONNECTION_ERROR_PARSING;
                                                                                                                        ex3.printStackTrace();
                                                                                                                        return null;
                                                                                                                    }
                                                                                                                }
                                                                                                                break;
                                                                                                            }
                                                                                                            case 2: {
                                                                                                                continue Label_0433_Outer;
                                                                                                            }
                                                                                                            case 3: {
                                                                                                                continue Label_0319_Outer;
                                                                                                            }
                                                                                                            case 4: {
                                                                                                                continue Label_0394_Outer;
                                                                                                            }
                                                                                                            case 5: {
                                                                                                                continue Label_0463_Outer;
                                                                                                            }
                                                                                                            case 6: {
                                                                                                                continue Label_0439_Outer;
                                                                                                            }
                                                                                                            case 7: {
                                                                                                                continue Label_0361_Outer;
                                                                                                            }
                                                                                                            case 8: {
                                                                                                                continue Label_0343_Outer;
                                                                                                            }
                                                                                                            case 9: {
                                                                                                                continue Label_0337_Outer;
                                                                                                            }
                                                                                                            case 10: {
                                                                                                                continue Label_0469_Outer;
                                                                                                            }
                                                                                                            case 11: {
                                                                                                                continue Label_0325_Outer;
                                                                                                            }
                                                                                                            case 12: {
                                                                                                                continue Label_0445_Outer;
                                                                                                            }
                                                                                                            case 13: {
                                                                                                                continue Label_0451_Outer;
                                                                                                            }
                                                                                                            case 14: {
                                                                                                                continue Label_0367_Outer;
                                                                                                            }
                                                                                                            case 15: {
                                                                                                                continue;
                                                                                                            }
                                                                                                            case 16: {
                                                                                                                continue Label_0457_Outer;
                                                                                                            }
                                                                                                            case 17: {
                                                                                                                continue Label_0331_Outer;
                                                                                                            }
                                                                                                            case 18: {
                                                                                                                continue Label_0415_Outer;
                                                                                                            }
                                                                                                            case 19: {
                                                                                                                continue Label_0421_Outer;
                                                                                                            }
                                                                                                            case 20: {
                                                                                                                continue Label_0427_Outer;
                                                                                                            }
                                                                                                            case 21: {
                                                                                                                continue Label_0373_Outer;
                                                                                                            }
                                                                                                            case 38: {
                                                                                                                continue Label_0349_Outer;
                                                                                                            }
                                                                                                        }
                                                                                                        break;
                                                                                                    }
                                                                                                    break;
                                                                                                }
                                                                                                break;
                                                                                            }
                                                                                            break;
                                                                                        }
                                                                                        break;
                                                                                    }
                                                                                    break;
                                                                                }
                                                                                break;
                                                                            }
                                                                            break;
                                                                        }
                                                                        break;
                                                                    }
                                                                    break;
                                                                }
                                                                break;
                                                            }
                                                            break;
                                                        }
                                                        break;
                                                    }
                                                    break;
                                                }
                                                break;
                                            }
                                            break;
                                        }
                                        break;
                                    }
                                    break;
                                }
                                break;
                            }
                            break;
                        }
                        break;
                    }
                    final SoapObject outputSoapObject = new SoapObject(WebServiceRequester.NAMESPACE, s);
                    final SoapSerializationEnvelope soapSerializationEnvelope = new SoapSerializationEnvelope(110);
                    soapSerializationEnvelope.dotNet = true;
                    soapSerializationEnvelope.implicitTypes = true;
                    soapSerializationEnvelope.setOutputSoapObject((Object)outputSoapObject);
                    soapSerializationEnvelope.setAddAdornments(false);
                    final HttpTransportSE httpTransportSE = new HttpTransportSE("https://saboreiaavida.nestle.pt/cozinhar/n-receitas/Service.asmx");
                    httpTransportSE.debug = true;
                    (soapSerializationEnvelope.headerOut = new Element[1])[0] = buildAuthHeader();
                    final String string = String.valueOf(WebServiceRequester.NAMESPACE) + s;
                    if (array.length > 0) {
                        buildBody(outputSoapObject, (Pair<String, String>[])array);
                    }
                    continue;
                }
            }
            
            protected void onPostExecute(final Void void1) {
                super.onPostExecute((Object)void1);
                switch (n) {
                    case 1: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getTop10(Top10.getAll());
                        break;
                    }
                    case 2: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.searchReceitas((String)array[0].second);
                        break;
                    }
                    case 6: {
                        this.response = (ArrayList<T>)(ArrayList)Categoria.getAll();
                        break;
                    }
                    case 8: {
                        this.response = (ArrayList<T>)(ArrayList)MomentoEspecial.getAll();
                        break;
                    }
                    case 9: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getById((String)array[0].second);
                        break;
                    }
                    case 11: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getReceitasByMomentoEspecial((String)array[0].second);
                        break;
                    }
                    case 12: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getReceitasByCategorias((String)array[0].second);
                        break;
                    }
                    case 13: {
                        this.response = (ArrayList<T>)(ArrayList)TipoCusto.getAll();
                        break;
                    }
                    case 14: {
                        this.response = (ArrayList<T>)(ArrayList)TipoDificuldade.getAll();
                        break;
                    }
                    case 15: {
                        this.response = (ArrayList<T>)(ArrayList)TipoRefeicao.getAll();
                        break;
                    }
                    case 16: {
                        this.response = (ArrayList<T>)(ArrayList)TipoTempo.getAll();
                        break;
                    }
                    case 17: {
                        this.response = (ArrayList<T>)(ArrayList)Destaque.getAll();
                        break;
                    }
                    case 18: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getReceitasByNestleTVEntradas();
                        break;
                    }
                    case 19: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getReceitasByNestleTVPratos();
                        break;
                    }
                    case 20: {
                        this.response = (ArrayList<T>)(ArrayList)Receita.getReceitasByNestleTVSobremesas();
                        break;
                    }
                    case 21: {
                        this.response = (ArrayList<T>)(ArrayList)AlimentoSemana.getAll();
                        break;
                    }
                    case 38: {
                        (this.response = new ArrayList<T>()).add((T)Alimento.getAlimentoById((String)array[0].second));
                        break;
                    }
                }
                if (webServiceRequesterCallback != null) {
                    if (this.response == null) {
                        webServiceRequesterCallback.onFailure(this.error);
                        return;
                    }
                    webServiceRequesterCallback.onSucess(this.response);
                }
            }
        };
        final Void[] array2 = new Void[0];
        if (!(asyncTask instanceof AsyncTask)) {
            asyncTask.execute((Object[])array2);
            return asyncTask;
        }
        AsyncTaskInstrumentation.execute((AsyncTask)asyncTask, (Object[])array2);
        return asyncTask;
    }
    
    public static <T> AsyncTask<Void, Void, Void> startRestRequest(final Context context, final int n, final WebServiceRequesterCallback webServiceRequesterCallback, final int n2, final Pair<String, String>... array) {
        final AsyncHttpClient asyncHttpClient = new AsyncHttpClient();
        String s = "";
        int n3 = 0;
        switch (n) {
            case 22: {
                s = "http://gdata.youtube.com/feeds/api/playlists/PLJyiiqr8Mz7L_Nur6n85e6j7IEm2-C0Bq?alt=json";
                n3 = 0;
                break;
            }
            case 23: {
                s = "http://nreceitas.development.thingpink.info/api/users/login/facebook";
                n3 = 0;
                break;
            }
            case 24: {
                s = "http://nreceitas.development.thingpink.info/api/users/logout";
                n3 = 0;
                break;
            }
            case 25: {
                s = String.format("http://nreceitas.development.thingpink.info/api/recipes/view/%s", array[0].second);
                n3 = 1;
                break;
            }
            case 26: {
                s = String.format("http://nreceitas.development.thingpink.info/api/users/view/%s", array[0].second);
                n3 = 1;
                break;
            }
            case 27: {
                s = "http://nreceitas.development.thingpink.info/api/users/me";
                n3 = 0;
                break;
            }
            case 28: {
                s = "http://nreceitas.development.thingpink.info/api/relationships/following";
                n3 = 0;
                break;
            }
            case 29: {
                s = "http://nreceitas.development.thingpink.info/api/relationships/followed";
                n3 = 0;
                break;
            }
            case 30: {
                s = "http://nreceitas.development.thingpink.info/api/relationships/follow";
                n3 = 0;
                break;
            }
            case 31: {
                s = "http://nreceitas.development.thingpink.info/api/relationships/unfollow";
                n3 = 0;
                break;
            }
            case 32: {
                s = "http://nreceitas.development.thingpink.info/api/comments/add";
                n3 = 0;
                break;
            }
            case 37: {
                s = "http://nreceitas.development.thingpink.info/api/comments/remove";
                n3 = 0;
                break;
            }
            case 33: {
                s = "http://nreceitas.development.thingpink.info/api/comments/list";
                n3 = 0;
                break;
            }
            case 34: {
                s = "https://api.instagram.com/v1/tags/nestlecozinhar/media/recent?client_id=fca7c7bd0a354430a8c71f13083a696c";
                n3 = 0;
                break;
            }
            case 35: {
                String.format("https://api.instagram.com/v1/tags/nestlecozinhar/media/recent?client_id=fca7c7bd0a354430a8c71f13083a696c&max_tag_id=%s", array[0].second);
            }
            case 36: {
                s = String.format("https://api.instagram.com/v1/media/%s?client_id=fca7c7bd0a354430a8c71f13083a696c", array[0].second);
                n3 = 1;
                break;
            }
        }
        switch (n2) {
            case 0: {
                final int length = array.length;
                RequestParams requestParams = null;
                if (length > 0) {
                    final int length2 = array.length;
                    requestParams = null;
                    if (n3 < length2) {
                        requestParams = new RequestParams();
                        for (int i = n3; i < array.length; ++i) {
                            requestParams.put((String)array[i].first, (String)array[i].second);
                        }
                    }
                }
                asyncHttpClient.get(s, requestParams, (AsyncHttpResponseHandler)new AsyncHttpResponseHandler() {
                    public void onFailure(final Throwable t, final String s) {
                        if (webServiceRequesterCallback != null) {
                            webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_NETWORK);
                        }
                    }
                    
                    public void onSuccess(final String s) {
                        final int val$requestID = n;
                        Object o = null;
                        switch (val$requestID) {
                            case 22: {
                                o = WebServiceRequester.parseVideos(s);
                                break;
                            }
                            case 25: {
                                o = new ArrayList<Object>();
                                ((ArrayList<Object>)o).add(WebServiceRequester.parsePinkReceitas(s));
                                break;
                            }
                            case 26: {
                                o = new ArrayList<Object>();
                                ((ArrayList<T>)o).add(WebServiceRequester.parsePinkUsers(s));
                                break;
                            }
                            case 27: {
                                o = new ArrayList<Object>();
                                ((ArrayList<T>)o).add(WebServiceRequester.parseMe(s));
                                break;
                            }
                            case 28: {
                                o = WebServiceRequester.parseFollowing(s);
                                break;
                            }
                            case 29: {
                                o = WebServiceRequester.parseFollower(s);
                                break;
                            }
                            case 33: {
                                o = WebServiceRequester.parseTwists(s);
                                break;
                            }
                            case 34:
                            case 35: {
                                o = WebServiceRequester.parseInstagram(s);
                                break;
                            }
                            case 36: {
                                o = WebServiceRequester.parseInstagramComments(s);
                                break;
                            }
                        }
                        if (webServiceRequesterCallback != null) {
                            if (o != null) {
                                webServiceRequesterCallback.onSucess((ArrayList<Object>)o);
                                return;
                            }
                            webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_PARSING);
                        }
                    }
                });
                break;
            }
            case 1: {
                final RequestParams requestParams2 = new RequestParams();
                if (array.length > 0) {
                    for (int j = 0; j < array.length; ++j) {
                        requestParams2.put((String)array[j].first, (String)array[j].second);
                    }
                }
                asyncHttpClient.post(s, requestParams2, (AsyncHttpResponseHandler)new AsyncHttpResponseHandler() {
                    public void onFailure(final Throwable t, final String s) {
                        if (webServiceRequesterCallback != null) {
                            webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_NETWORK);
                        }
                    }
                    
                    public void onSuccess(final String s) {
                        Label_0089: {
                            switch (n) {
                                case 23: {
                                    if (webServiceRequesterCallback == null) {
                                        break Label_0089;
                                    }
                                    if (WebServiceRequester.parseLogin(s)) {
                                        webServiceRequesterCallback.onSucess((ArrayList<Object>)null);
                                        break Label_0089;
                                    }
                                    webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_PARSING);
                                    break Label_0089;
                                }
                                case 24:
                                case 30:
                                case 31:
                                case 37: {
                                    if (webServiceRequesterCallback == null) {
                                        break;
                                    }
                                    if (WebServiceRequester.parsePostResponse(s)) {
                                        webServiceRequesterCallback.onSucess((ArrayList<Object>)null);
                                        return;
                                    }
                                    webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_PARSING);
                                }
                                case 32: {
                                    if (webServiceRequesterCallback == null) {
                                        break;
                                    }
                                    final ArrayList<Object> addTwist = WebServiceRequester.parseAddTwist(s);
                                    if (addTwist != null) {
                                        webServiceRequesterCallback.onSucess(addTwist);
                                        return;
                                    }
                                    webServiceRequesterCallback.onFailure(WebServiceRequester.CONNECTION_ERROR_PARSING);
                                }
                            }
                        }
                    }
                });
                break;
            }
        }
        return null;
    }
    
    public interface WebServiceRequesterCallback
    {
        void onFailure(int p0);
        
         <T> void onSucess(ArrayList<T> p0);
    }
}
