package testdata;

/**
 * Demonstrates wrong variable declaration when calling super():
 *
 * <pre>
 * {@code
 * public enum CallSuperBug {
 *     CallSuperBug1(0, "one") {
 *         {
 *             super(s, n, $anonymous0, null);
 *             final String w = "w";
 *             System.out.println(w);
 *         }
 *     };
 * }
 * }
 * </pre>
 */
public enum CallSuperBug {
  CallSuperBug1("one") {
    {
      String w = "w";
      System.out.println(w);
    }
      
  };

  CallSuperBug(String a) {
    this.a = a;
  }

  public String getA() {
    return a;
  }

  private String a;
}
